## Are All / Any Values True?

## Usage

    all(..., na.rm=FALSE)
    any(..., na.rm=FALSE)

## Value

Given a sequence of logical arguments, `all` returns a logical value indicating whether or not all of the elements of `x` are `TRUE`. The value returned is `TRUE` if all the values in `x` are `TRUE`, and `FALSE` if any the values in `x` are `FALSE`. If `x` consists of a mix of `TRUE` and `NA` values, then `all` returns `NA`.

Given a sequence of logical arguments, `any` returns a logical value indicating whether or not any of the elements of `x` are `TRUE`. The value returned is `TRUE` if any the values in `x` are `TRUE`, and `FALSE` if all the values in `x` are `FALSE`. If `x` consists of a mix of `FALSE` and `NA` values, then `any` returns `NA`.

For both functions the argument `na.rm` indicates whether `NA` values should be removed before the result is computed.

## Examples

    range(x <- sort(round(rnorm(10) - 1.2,1)))
    if(any(x < 0)) cat("x contains negative values\n")
    if(all(x < 0)) cat("all x values are negative\n")

[Package Contents]